Loading...
Searching...
No Matches
pw_protocol_server Struct Reference
Implementation API » Protocol

`#include <pipewire/protocol.h>`

## Data Fields

struct spa_list | link
| link in protocol server_list
struct pw_protocol * | protocol
| the owner protocol
struct pw_impl_core * | core
struct spa_list | client_list
| list of clients of this protocol
void(* | destroy )(struct pw_protocol_server *listen)

## Field Documentation

## link

struct spa_list pw_protocol_server::link

link in protocol server_list

## protocol

struct pw_protocol* pw_protocol_server::protocol

the owner protocol

## core

struct pw_impl_core* pw_protocol_server::core

## client_list

struct spa_list pw_protocol_server::client_list

list of clients of this protocol

## destroy

void(* pw_protocol_server::destroy) (struct pw_protocol_server *listen)

The documentation for this struct was generated from the following file:

- pipewire/protocol.h